Sample Aid
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 7 & earlier Is Logic 7 compatible with Lion?

Discussion in 'Logic 7 and older Versions' started by afavreau, Feb 25, 2012.

  1. afavreau

    afavreau Senior member


    I'm about to upgrade to Lion. I have Logc 9 but I still like to open some Logic 7 files sometimes.

    So before I upgrade, can someone tell me if Logic 7 is compatible with Lion?
    Anyone can share their experience?


  3. Pete Thomas

    Pete Thomas Administrator Staff Member

    No, sadly not. I keep a a backup boot drive of my old SL just so i can still,open L7 to access old files. Bummer eh?
  4. afavreau

    afavreau Senior member

  5. Markdvc

    Markdvc Administrator Staff Member

    FWIW, I haven't done any in depth testing with Logic Pro 7.2.3 since installing Lion, but it does launch, validates Audio Units, loads projects, playback works, I can still convert pre-logic 5 files etc.

    This is on a system upgraded from 10.5 ->10.6->10.7.

    kind regards

  6. afavreau

    afavreau Senior member


    Mine was probably installed on X.3 or X.4. Does that give it better chances?
    Is this a thing where it can work on one system and not on another?
    Pete, I'd be curious as to why it doesn't work on yours.
  7. Pete Thomas

    Pete Thomas Administrator Staff Member

    Me too.
  8. KellerKnabe

    KellerKnabe New Member

    OK, just not to confuse the Russians:
    Since SL (AFAIR), L7 must have Version 7.2.3.
    So maybe it's not possible to install L7 on Lion, because the install DVDs usually contain older versions.

    So am I right with my conclusion, that L7.2.3 is running on Lion, but can't be installed there?

  9. Markdvc

    Markdvc Administrator Staff Member

    Hi Udo!

    I think that is quite a plausible conclusion to come to, especially if someone had been running Logic 7.0.x or 7.1.x in rosetta on an Intel Mac, and didn't have the paid 7.2 DVD. Indeed, Logic 7 would not be the only software suffering in this respect. I have a number of Sample Libraries, such as an older EWQLSO, which came with the PPC only Kontakt player. I can't authorize this library in Lion, as the Kontakt Player is needed for that, it won't run in Lion. However, if I install it on a SL system, I can authorize there, then Upgrade to Lion, the samples are then still available in Kontakt.

    It's worth stating here, Rosetta is no longer part of Lion, meaning, no PPC software can be installed or will run.

    It all needs a little planning in advance, plus a willingness to jump through hoops :)

    It still doesn't explain why Pete can't get L7 running on his system though...

    best regards

  10. KellerKnabe

    KellerKnabe New Member

    Hi Mark!
    AFAIR, my DVDs contain V7.2.1.
    So for me as the owner of the paid version of L7, it will be impossible too to install L7 on Lion ...


Share This Page